colossalai
==========

.. automodule:: colossalai
   :members:

.. toctree::
   :maxdepth: 2

   colossalai.amp
   colossalai.builder
   colossalai.cli
   colossalai.communication
   colossalai.context
   colossalai.engine
   colossalai.fx
   colossalai.gemini
   colossalai.kernel
   colossalai.logging
   colossalai.nn
   colossalai.pipeline
   colossalai.registry
   colossalai.tensor
   colossalai.testing
   colossalai.trainer
   colossalai.utils
   colossalai.zero


.. toctree::
   :maxdepth: 2

   colossalai.constants
   colossalai.core
   colossalai.global_variables
   colossalai.initialize
